import os 

def prompt():

    prompt = """
    ## 画面中央是否有人，人物穿着打扮是怎样的？
    ## 以JSON格式回复，包含字段【是否有人】、【人物数量】、【人物位置】
    ## 输出格式:
    {
        "是否有人": //<判断画面中央是否有人，要有完整的人脸才能判定为有人，否则判定为无人；取值范围：是、否>,
        "人物数量": //<判断视频中央有多少个人，可以为0>,
        "人物位置": //<判断人物在画面中的大概位置，取值范围：左、右、中间、无>
    }
    ## 注意：
    - 无论如何都必须按照以上JSON格式输出。
    """

    return prompt

def double_prompt():

    prompt = """
    ## 判断两张图像中是否为用一个人，是否穿着同一套衣服
    ## 以JSON格式回复，包含字段【同一个人】、【穿同套衣服】
    ## 输出格式:
    {
        "同一个人": //<判断两张图像中的人物是否为用一个人，取值范围：是、否>,
        "人物数量": //<判断两张图像中的人物是否穿同一套衣服，取值范围：是、否>,
    }
    ## 注意：
    - 无论如何都必须按照以上JSON格式输出。
    """

    return prompt


def show_prompt():
    prompt = """
    ## 仔细查看画面内容，并进行画面内容分析。
    ## 以JSON格式回复，包含字段【是否有人】、【人物数量】、【人物位置】、【手拿衣服】、【手拿平板】、【卡码拍大】
    ## 输出格式:
    {
        "是否有人": //<判断画面中央是否有人，要有完整的人脸才能判定为有人，否则判定为无人；取值范围：是、否>,
        "人物数量": //<判断视频中央有多少个人，可以为0>,
        "人物位置": //<判断人物在画面中的大概位置，取值范围：左、右、中间、无>,
        "手拿衣服": //<判断人物是否手中拿着衣服，取值范围：是、否>,
        "手拿平板": //<判断人物是否手中拿着平板，取值范围：是、否>,
        "卡码拍大": //<判断图像中是否有'卡码拍大'四个字，取值范围：是、否>
    }
    ## 注意：
    - 无论如何都必须按照以上JSON格式输出。
    """

    return prompt